`timescale 1ns / 1ps
//module BuzzerSound(clk, pushbtn, buzzer_out, buzzer_out2);
module BuzzerSound(clk, switch, buzzer_out, buzzer_out2);

	input				clk;
	input				switch;
	output			buzzer_out, buzzer_out2;
	
	reg			clk_1hz, clk_1khz;
	reg			buzzer, buzzer2;
	integer		cnt_1hz = 0, cnt_1khz=0;
	
	always @ (posedge clk) begin
		if (cnt_1hz >= 499999) begin
			cnt_1hz <=	0;
			clk_1hz <= ~clk_1hz;
		end else begin
			cnt_1hz = cnt_1hz + 1;
		end
	end
	
	always @ (posedge clk) begin
		if (cnt_1khz >= 499) begin
			cnt_1khz <=	0;
			clk_1khz <= ~clk_1khz;
		end else begin
			cnt_1khz = cnt_1khz + 1;
		end
	end
	
	always @ (clk_1hz, switch, buzzer) begin
		if (switch) begin
			if (clk_1hz == 1'b1) begin
				buzzer <= 1'b1;
			end else begin
				buzzer <= 1'b0;
			end
		end else begin
			buzzer <= 1'b0;
		end
	end
	assign buzzer_out = buzzer;

	
	always @ (clk_1hz, clk_1khz, switch) begin
		if (~switch) begin
			if (clk_1hz == 1'b1) begin
				buzzer2 <= clk_1khz;
			end else begin
				buzzer2 <= 1'b0;
			end
		end else begin
			buzzer2 <= 1'b0;
		end
	end	
	assign buzzer_out2 = buzzer2;
endmodule
